#Scanner

C
Debug
p
b

ASync
p
b

Name
r
s

Vendor
r
s

Type
r
s

Model
r
s

Progress
r
f

_New
m

(sDevice)s
IsAvailable
m
b

Scan
m
Image

Exist
m
b
(Key)s
Process_Error
m

(sError)s
Process_Kill
m


Process_Read
m


_next
m
s

Find
m
ScannerOption
(Key)s
_get
m
ScannerOption
(Name)s
Peek
m
Image

:Begin
:


:PageBegin
:


:PageEnd
:


:Finished
:


:End
:


:Progress
:


:Error
:

(ErrorText)s
#ScannerOption

C
Group
r
s

IsRange
r
b

MaxValue
r
f

MinValue
r
f

Value
p
v

List
r
String[]

IsActive
r
b

Info
r
s

Name
r
s

Unit
r
s

Steps
r
i

Modified
r
b

_Group
v
s

_IsRange
v
b

_MaxValue
v
f

_MinValue
v
f

_Value
v
v

_List
v
String[]

_IsActive
v
b

_Info
v
s

_Name
v
s

_Command
v
s

_Unit
v
s

_Steps
v
f

_Relative
v
b

#Scanners

CA
_init
M


Search
m

[(bWait)b]
_GetInfo
m
ScannerInfo
(sDeviceName)s
_next
m
s

_get
m
Scanner
(sDeviceName)s
Process_Read
m


Process_Error
m

(sError)s
Process_kill
m


Close
M


:Found
:


